[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlChildSizing.IsEqual

Determines whether the specified sizing contains the same values as the current class instance.

## Declaration

Source position: controls.pp line 1982

`public function TControlChildSizing.IsEqual(`
`Sizing: TControlChildSizing`
`):Boolean;`

## Arguments

`Sizing` |  | TControlChildSizing class instance compared in the method.

## Function result

True when the specified sizing contains the same values as the current class instance.

## Description

IsEqual is a Boolean function used to determine whether the TControlChildSizing instance in Sizing contains the same values as the current class instance. IsEqual compares the following properties to determine the return value:

- EnlargeHorizontal
- EnlargeVertical
- ShrinkHorizontal
- EnlargeHorizontal
- ShrinkVertical
- EnlargeVertical
- ShrinkHorizontal
- ShrinkVertical
- ControlsPerLine
- Layout
- LeftRightSpacing
- TopBottomSpacing
- HorizontalSpacing
- VerticalSpacing

The return value is True when the properties contain equivalent values in both class instances.